Package twisted :: Package conch :: Package ssh :: Module forwarding :: Class SSHListenForwardingFactory

[frames | no frames]

## Class SSHListenForwardingFactory

    Factory --+
              |
             SSHListenForwardingFactory

Method Summary
| `__init__(self, connection, hostport, klass)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Parameters:
    `addr` - an object implementing `twisted.internet.interfaces.IAddress`
  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:07:45 2004 | http://epydoc.sf.net